Create an opportunity type
curl --request POST \
--url https://www.ruddr.io/api/workspace/opportunity-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isActive": true
}
'import requests
url = "https://www.ruddr.io/api/workspace/opportunity-types"
payload = {
"name": "<string>",
"description": "<string>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', isActive: true})
};
fetch('https://www.ruddr.io/api/workspace/opportunity-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a4e8c3f1-6b72-4d95-b0e7-2f1d8a5c9047",
"name": "New Business",
"description": "Opportunities with first-time customers.",
"isActive": true,
"createdAt": "2025-03-10T14:22:45.183Z"
}{
"status": 400,
"message": "There was a problem processing your request. See errors for more details.",
"errors": [
"'name' is required"
]
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}{
"status": 409,
"message": "An Opportunity Type with the same name already exists."
}Opportunity Types
Create an opportunity type
POST
/
opportunity-types
Create an opportunity type
A classification used to categorize opportunities.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I